/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  ------------------------------------------------------------------------
 *  $Id: NotConnectedException.java,v 1.2 2005/07/11 04:07:12 rmarins Exp $
 *  ------------------------------------------------------------------------
 */

package org.fossilec.odettej.transport;

import org.fossilec.odettej.OdetteFTPException;

/**
 * When any method that depends on the connection of the underlying transport is
 * invoked and there isn't an established connection this exception is thrown.
 * 
 * @author Rafael Marins
 */
public class NotConnectedException extends OdetteFTPException {

	private static final long serialVersionUID = 1L;

	/**
	 * Constructor with not detail message.
	 */
	public NotConnectedException() {
		super();
	}

	/**
	 * Constructor with the specified detail message.
	 * 
	 * @param message
	 *            The detail message.
	 */
	public NotConnectedException(String message) {
		super(message);
	}

	/**
	 * Constructor with the specified detail message and cause.
	 * 
	 * @param message
	 *            The detail message.
	 * @param cause
	 *            Throwable that generated this exception.
	 */
	public NotConnectedException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructor with the specified cause.
	 * 
	 * @param cause
	 *            Throwable that generated this exception.
	 */
	public NotConnectedException(Throwable cause) {
		super(cause);
	}
}
