/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  ------------------------------------------------------------------------
 *  $Id: SessionTest.java,v 1.3 2005/08/15 16:45:06 rmarins Exp $
 *  ------------------------------------------------------------------------
 */

package org.fossilec.odettej;

import java.util.Enumeration;

import org.fossilec.odettej.Session;

/**
 * 
 * @author Rafael Marins
 */
public class SessionTest extends AbstractProperties {

	private Session session;

	public void testHasAllProperties() {
		Enumeration keys = super.properties.keys();
		while (keys.hasMoreElements()) {
			String element = (String) keys.nextElement();
			assertEquals(super.properties.getProperty(element), session
					.getProperty(element));
		}
	}

	public void testDefaultProperties() {
		assertEquals(PROPERTY_ONE_VALUE, session.getProperty(PROPERTY_ONE_KEY));
		assertEquals(PROPERTY_TWO_VALUE, session.getProperty(PROPERTY_TWO_KEY));
	}

	public void testSetProperty() {
		session.setProperty("one.two.three", "Fossil E-Commerce");
		assertEquals("Fossil E-Commerce", session.getProperty("one.two.three"));
		session.setProperty("one.two.three", "");
		assertEquals("", session.getProperty("one.two.three"));
	}

	public void testGetDefaultValueProperty() {
		assertEquals("Default Value", session.getProperty("odettej.NoProperty",
				"Default Value"));
	}

	protected void setUp() throws Exception {
		super.setUp();
		session = Session.getInstance(super.properties);
	}

	protected void tearDown() throws Exception {
		session = null;
		super.tearDown();
	}
}
