/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  ------------------------------------------------------------------------
 *  $Id: CommandFormatTest.java,v 1.2 2005/08/15 16:45:38 rmarins Exp $
 *  ------------------------------------------------------------------------
 */

package org.fossilec.odettej.service;

import java.util.Collection;

import org.fossilec.odettej.service.CommandFormat.Field;

import junit.framework.TestCase;

/**
 * 
 * @author Rafael Marins
 */
public class CommandFormatTest extends TestCase {

	public void testGetFormat() {
		CommandFormat format = TestData.createStartFielFormat();
		assertNotNull(format);
	}

	public void testContainsField() {
		CommandFormat format = TestData.createStartFielFormat();
		assertTrue(format.containsField("SFIDCMD"));
		assertTrue(format.containsField("SFIDDSN"));
		assertTrue(format.containsField("SFIDREST"));
	}

	public void testGetField() {
		CommandFormat format = TestData.createStartFielFormat();
		Field field = format.getField("SFIDDATE");
		assertNotNull(field);
	}

	public void testGetFields() {
		CommandFormat format = TestData.createStartFielFormat();
		Collection fields = format.getFields();
		assertEquals(12, fields.size());
	}
}
