/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  ------------------------------------------------------------------------
 *  $Id: OdetteExchangeBufferTest.java,v 1.3 2005/08/15 16:45:38 rmarins Exp $
 *  ------------------------------------------------------------------------
 */

package org.fossilec.odettej.service;

import java.nio.ByteBuffer;

import junit.framework.TestCase;

/**
 * 
 * @author Rafael Marins
 */
public class OdetteExchangeBufferTest extends TestCase {

	public void testGetInstance() throws Exception {
		OdetteExchangeBuffer cd = createChangeDirectionOEB();
		assertNotNull(cd);
	}

	public void testGetIdentifier() throws Exception {
		OdetteExchangeBuffer cd = createChangeDirectionOEB();
		assertEquals(CommandIdentifier.CD, cd.getIdentifier());
	}

	public void testGetBuffer() throws Exception {
		ByteBuffer buffer = ByteBuffer.allocateDirect(1);
		OdetteExchangeBuffer cd = createChangeDirectionOEB();

		buffer.put("R".getBytes());
		buffer.rewind();

		assertEquals(buffer, cd.getBuffer());
	}

	public void testGetLength() throws Exception {
		OdetteExchangeBuffer cd = createChangeDirectionOEB();
		assertEquals(1, cd.getLength());
	}

	protected static OdetteExchangeBuffer createChangeDirectionOEB()
			throws Exception {

		ByteBuffer rawBuffer = ByteBuffer.wrap("R".getBytes("US-ASCII"));
		OdetteExchangeBuffer oeb = OdetteExchangeBuffer.getInstance(rawBuffer,
				true);
		return oeb;
	}
}
